import java.util.Scanner;

public class Zadatak1 {
private static Scanner input=new Scanner (System.in);
	public static void main(String[] args) {

			int A=input.nextInt();
			int B=input.nextInt();
			int C=input.nextInt();
			
			int br1=br_nula(A);
			int br2=br_nula(B);
			int br3=br_nula(C);
			
			int broj1=0;
			int broj2=0;
			int broj3=0;
			int broj4=0;
			int broj5=0;
			int broj6=0;
			int max,max1,max2;
			
			broj1=((broj1+A)*(int)Math.pow(10,br2)+B)*(int)Math.pow(10,br3)+C;
			broj2=((broj2+A)*(int)Math.pow(10,br3)+C)*(int)Math.pow(10,br2)+B;
			broj3=((broj3+B)*(int)Math.pow(10,br3)+C)*(int)Math.pow(10,br1)+A;
			broj4=((broj4+B)*(int)Math.pow(10,br1)+A)*(int)Math.pow(10,br3)+C;
			broj5=((broj5+C)*(int)Math.pow(10,br1)+A)*(int)Math.pow(10,br2)+B;
			broj6=((broj6+C)*(int)Math.pow(10,br2)+B)*(int)Math.pow(10,br1)+A;
			
			 max1=Math.max(broj1,Math.max(broj2,broj3));
			 max2=Math.max(broj4,Math.max(broj5,broj6));
			 max=Math.max(max1,max2);
			 System.out.println(max);
			
	}
	public static int br_nula(int a) {
		int k=a;
		int i=0;
		while(k>0) {
			k=k/10;
			i++;
		}
		return i;
	}
}